## Apache Zeta Components Manual :: Docs For Class ezcMvcResultContentDisposition

### MvcTools::ezcMvcResultContentDisposition

### Class ezcMvcResultContentDisposition

This struct contains content disposition meta-data

Source for this file: /MvcTools/src/structs/result_content_disposition.php

    ezcBaseStruct
       |
       --ezcMvcResultContentDisposition

Version: | //autogentag//

### Member Variables

public DateTime | `$creationDate` The creation date parameter
public string | `$filename` The filename parameter, encoded as a UTF-8 string.
public DateTime | `$modificationDate` The modification date parameter
public DateTime | `$readDate` The read date parameter
public int | `$size` The size parameter
public string | `$type` The disposition type (inline or attachment)

### Method Summary

public static ezcMvcResultContent | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResultContentDisposition | `__construct( [ $type = 'inline'] , [ $filename = null] , [ $creationDate = null] , [ $modificationDate = null] , [ $readDate = null] , [ $size = null] )` Constructs a new ezcMvcResultContent.

### Methods

#### __set_state

static ezcMvcResultContent __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResultContentDisposition __construct( [string $type = 'inline'] , [string $filename = null] , [ $creationDate = null] , [ $modificationDate = null] , [ $readDate = null] , [int $size = null] )

Constructs a new ezcMvcResultContent.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$filename` | string |
`$creationDate` | DateTime |
`$modificationDate` | DateTime |
`$readDate` | DateTime |
`$size` | int |

Documentation generated by phpDocumentor 1.4.3